"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.consumeIdl = exports.getIdlPath = void 0;
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
function getIdlPath(config) {
    const { idlDir, programName, idlName } = config;
    return path_1.default.join(idlDir, `${idlName !== null && idlName !== void 0 ? idlName : programName}.json`);
}
exports.getIdlPath = getIdlPath;
function consumeIdl(idlPath) {
    const idl = JSON.parse((0, fs_1.readFileSync)(idlPath, 'utf-8'));
    (0, fs_1.rmSync)(idlPath);
    return idl;
}
exports.consumeIdl = consumeIdl;
//# sourceMappingURL=idlFile.js.map